mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.IO.FileStream System.Runtime.InteropServices.ComVisible(true)

Use this class to read, write and create files in isolated storage.

Since this class extends , you can use an instance of in most situations where a might otherwise be used, such as to construct a or .

Isolated storage is not available for win8_appname_long apps. Instead, use the application data classes in the Windows.Storage namespaces included in the wrt API to store local data and files. For more information, see Application data in the Windows Dev Center.

Exposes a file within isolated storage.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The isolated store that is used is scoped by the current executing assembly's identity and that of the application domain in which it is running. This store will remain open only for the lifetime of the object. To specify a different isolated storage scope, or to allow the store to remain open (so multiple objects can be opened from it), use the form of the constructor that accepts an object.

  The parameter indicates whether a new file should be created, an existing one used, and so on.

  When you compile a set of characters with a particular cultural setting and retrieve those same characters with a different cultural setting, the characters might not be interpretable and can cause an exception to be thrown.

  Initializes a new instance of an object giving access to the file designated by in the specified .

  The relative path of the file within isolated storage.
  One of the values.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The isolated store that is used is scoped by the current executing assembly's identity and that of the application domain in which it is running. This store will remain open only for the lifetime of the object. To specify a different isolated storage scope, or to allow the store to remain open (so multiple objects can be opened from it), use the form of the constructor that accepts an object.

  The parameter indicates whether a new file should be created or an existing one used. The parameter includes read-only, read/write, and write-only.

  When you compile a set of characters with a particular cultural setting and retrieve those same characters with a different cultural setting, the characters might not be interpretable, and can cause an exception to be thrown.

  Initializes a new instance of the class giving access to the file designated by , in the specified , with the kind of requested.

  The relative path of the file within isolated storage.
  One of the values.
  A bitwise combination of the values.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The parameter indicates whether a new file should be created, an existing one used, and so on.

  When you compile a set of characters with a particular cultural setting and retrieve those same characters with a different cultural setting, the characters might not be interpretable, and can cause an exception to be thrown.

  Initializes a new instance of the class giving access to the file designated by , in the specified , and in the context of the specified by .

  The relative path of the file within isolated storage.
  One of the values.
  The in which to open the .
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The isolated store that is used is scoped by the current executing assembly's identity and that of the application domain in which it is running. This store will remain open only for the lifetime of the object. To specify a different isolated storage scope, or to allow the store to remain open (so multiple objects can be opened from it), use the form of the constructor that accepts an object.

  When you compile a set of characters with a particular cultural setting and retrieve those same characters with a different cultural setting, the characters might not be interpretable and can cause an exception to be thrown.

  Initializes a new instance of the class giving access to the file designated by , in the specified , with the specified file , using the file sharing mode specified by .

  The relative path of the file within isolated storage.
  One of the values.
  A bitwise combination of the values.
  A bitwise combination of the values.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The parameter indicates whether a new file should be created or an existing one used. The parameter includes read-only, read/write, and write-only.

  When you compile a set of characters with a particular cultural setting and retrieve those same characters with a different cultural setting, the characters might not be interpretable, and can cause an exception to be thrown.

  Initializes a new instance of the class giving access to the file designated by in the specified , with the specified file , and in the context of the specified by .

  The relative path of the file within isolated storage.
  One of the values.
  A bitwise combination of the values.
  The in which to open the .
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The isolated store that is used is scoped by the current executing assembly's identity and that of the application domain in which it is running. This store will remain open only for the lifetime of the object. To specify a different isolated storage scope, or to allow the store to remain open (so multiple objects can be opened from it), use the form of the constructor that accepts an object.

  The parameter indicates whether a new file should be created or an existing one used. The parameter includes read-only, read/write, and write-only.

  When you compile a set of characters with a particular cultural setting and retrieve those same characters with a different cultural setting, the characters might not be interpretable, and can cause an exception to be thrown.

  Initializes a new instance of the class giving access to the file designated by , in the specified , with the specified file , using the file sharing mode specified by , with the specified.

  The relative path of the file within isolated storage.
  One of the values.
  A bitwise combination of the values.
  A bitwise combination of the values.
  The buffer size.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The parameter indicates whether a new file should be created or an existing one used. The parameter includes read-only, read/write, and write-only.

  When you compile a set of characters with a particular cultural setting and retrieve those same characters with a different cultural setting, the characters might not be interpretable, and can cause an exception to be thrown.

  Initializes a new instance of the class giving access to the file designated by , in the specified , with the specified file , using the file sharing mode specified by , and in the context of the specified by .

  The relative path of the file within isolated storage.
  One of the values.
  A bitwise combination of the values.
  A bitwise combination of the values.
  The in which to open the .
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The parameter indicates whether a new file should be created or an existing one used. The parameter includes read-only, read/write, and write-only.

  When you compile a set of characters with a particular cultural setting and retrieve those same characters with a different cultural setting, the characters might not be interpretable, and can cause an exception to be thrown.

  Initializes a new instance of the class giving access to the file designated by , in the specified , with the specified file , using the file sharing mode specified by , with the specified, and in the context of the specified by .

  The relative path of the file within isolated storage.
  One of the values.
  A bitwise combination of the values.
  A bitwise combination of the values
  The buffer size.
  The in which to open the .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IAsyncResult `` `` `` `` ``

  The current position in the stream is updated when you issue the asynchronous read or write, not when the I/O operation completes.

  You must call with this to find out how many bytes were read.

  Begins an asynchronous read.

  An object that represents the asynchronous read, which is possibly still pending. This must be passed to this stream's method to determine how many bytes were read. This can be done either by the same code that called or in a callback passed to .

  The buffer to read data into. The byte offset in at which to begin reading. The maximum number of bytes to read. The method to call when the asynchronous read operation is completed. This parameter is optional. The status of the asynchronous read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IAsyncResult `` `` `` `` ``

  If a object is writable, writing at the end of the stream expands the stream.

  The current position in the stream is updated when you issue the asynchronous read or write, not when the I/O operation completes.

  You must call with the object that this method returns to find out how many bytes were written.

  Begins an asynchronous write.

  An that represents the asynchronous write, which is possibly still pending. This must be passed to this stream's method to ensure that the write is complete, then frees resources appropriately. This can be done either by the same code that called or in a callback passed to .

  The buffer to write data to. The byte offset in at which to begin writing. The maximum number of bytes to write. The method to call when the asynchronous write operation is completed. This parameter is optional. The status of the asynchronous write.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Use this property to determine whether the object can be read.

  Gets a Boolean value indicating whether the file can be read.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Use this property to determine whether the object supports seek operations.

  Gets a Boolean value indicating whether seek operations are supported.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Use this property to determine whether the object can be written.

  Gets a Boolean value indicating whether you can write to the file.

- Method
  System.Void To be added. To be added. 1.0.5000.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is called by the public method and the method. invokes the protected method with the parameter set to true. invokes with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  must be called exactly once on every object from , and calling is the only way to know how many bytes were read from the . will block until the I/O operation has completed.

  Ends a pending asynchronous read request.

  The number of bytes read from the stream, between zero and the number of requested bytes. Streams will only return zero at the end of the stream. Otherwise, they will block until at least one byte is available.

  The pending asynchronous request.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  must be called exactly once on every from .

  will block until the I/O operation has completed.

  Ends an asynchronous write.

  The pending asynchronous I/O request to end.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Because a buffer can be used for either reading or writing, but not both simultaneously, performs two functions. First, any data previously written to the buffer is copied to the file and the buffer is cleared. Second, if is true and data was previously copied from the file to the buffer for reading, the current position within the file is decremented by the number of unread bytes in the buffer. The buffer is then cleared.

  Use the method overload when you want to ensure that all buffered data in intermediate file buffers is written to disk.

  Clears buffers for this stream and causes any buffered data to be written to the file.

- Method
  4.0.0.0
  System.Void ``

  Use this overload when you want to ensure that all buffered data in intermediate file buffers is written to disk.

  Clears buffers for this stream and causes any buffered data to be written to the file, and also clears all intermediate file buffers.

  true to flush all intermediate file buffers; otherwise, false.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use SafeFileHandle - once available")
  System.IntPtr To be added.

  For more information, see .

  Gets the file handle for the file that the current object encapsulates. Accessing this property is not permitted on an object, and throws an .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Asynchronous objects cannot be created, unlike . However, the , , , and methods are supported on synchronous instances, with some performance penalties.

  Gets a Boolean value indicating whether the object was opened asynchronously or synchronously.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 To be added.

  represents the number of bytes currently in the file. It is not affected by isolated storage quota.

  Gets the length of the object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 To be added.

  Setting this property works when the property is true.

  Gets or sets the current position of the current object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` ``

  The parameter can be an instance of the class, or an array of one of the following types: , , , , , , , , , , or . The parameter gives the offset of the byte in buffer at which to begin writing (index in the buffer), and the parameter gives the maximum number of bytes that will be read from this stream. The returned value is the actual number of bytes read, or zero if the end of the stream is reached. If the read operation is successful, the current position of the stream is advanced by the number of bytes read. If an exception occurs, the current position of the stream is unchanged.

  The method treats the parameter as a block of bytes, regardless of its actual type. Likewise, the and parameters are always specified in bytes. For parameters other than byte arrays, this means that an element index must be multiplied by the element size in bytes to form a correct value for or .

  The method will return zero only if the end of the stream is reached. In all other cases, always reads at least one byte from the stream before returning. If no data is available from the object upon a call to , the method will block until at least one byte of data can be returned.

  Copies bytes from the current buffered object to an array.

  The total number of bytes read into the . This can be less than the number of bytes requested if that many bytes are not currently available, or zero if the end of the stream is reached.

  The buffer to read. The offset in the buffer at which to begin writing. The maximum number of bytes to read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Reads a single byte from the object in isolated storage.

  The 8-bit unsigned integer value read from the isolated storage file.

- Property
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.SafeHandles.SafeFileHandle To be added.

  The property is not supported and always generates an exception.

  Gets a object that represents the operating system file handle for the file that the current object encapsulates.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 `` ``

  Some objects support positioning beyond the length of the stream, others will throw an exception in this case.

  Sets the current position of this object to the specified value.

  The new position in the object.

  The new position of the object. One of the values.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  If the specified is less than the current length of the object, the stream is truncated. If the specified is larger than the current length of the stream, the stream is expanded. If the stream is expanded, the contents of the stream between the old and the new length are undefined. In order to use this method, an object must support both writing and seeking.

  Sets the length of this object to the specified .

  The new length of the object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The parameter gives the offset of the byte in the at which to begin reading, and the parameter gives the number of bytes that will be written to this object. If the write operation is successful, the current position of the object is advanced by the number of bytes written. If an exception occurs, the current position of the object is unchanged.

  Writes a block of bytes to the object using data read from a byte array.

  The buffer to write. The byte offset in buffer from which to begin. The maximum number of bytes to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Writes a single byte to the object.

  The byte value to write to the isolated storage file.